Subject: My Address

From: [email-masked] (T-Bird)
Date: Wed, 29 Apr 92 15:54:45 EST

Well, for all who care, here is my address for the summer....

Tim Trebing
1980 Avon Drive
Florissant, MO 63033-1248

BTW, this is Southern 4501 (or T-Bird) for those of you who don't know my real
name.  I had a blast on the haven and actually got a chance to make some real
friends.  When I am at home and talk about life at college, my experience on
the haven will be one of the things that I will be sure to talk a lot about.

Have a great summer,

Southern 4501